Subject: Re: [PATCH wpan-next v2 1/2] net: ieee802154: Move the IEEE 802.15.4 Kconfig main entries

From: Miquel Raynal <[email-masked]>
Date: Mon, 31 Jan 2022 14:46:17 +0100

Hi Alexander,

[email-masked] wrote on Sun, 30 Jan 2022 16:07:53 -0500:

> Hi,
> 
> I will do this review again because I messed up with other series.
> 
> On Fri, Jan 28, 2022 at 6:20 AM Miquel Raynal <[email-masked]> wrote:
> >
> > From: David Girault <[email-masked]>
> >
> > It makes certainly more sense to have all the low-range wireless
> > protocols such as Bluetooth, IEEE 802.11 (WiFi) and IEEE 802.15.4
> > together, so let's move the main IEEE 802.15.4 stack Kconfig entry at a
> > better location.
> >
> > As the softMAC layer has no meaning outside of the IEEE 802.15.4 stack
> > and cannot be used without it, also move the mac802154 menu inside
> > ieee802154/.
> >  
> 
> That's why there is a "depends on".
> 
> > Signed-off-by: David Girault <[email-masked]>
> > [[email-masked]: Isolate this change from a bigger commit and
> > rewrite the commit message.]
> > Signed-off-by: Miquel Raynal <[email-masked]>
> > ---
> >  net/Kconfig            | 3 +--
> >  net/ieee802154/Kconfig | 1 +
> >  2 files changed, 2 insertions(+), 2 deletions(-)
> >
> > diff --git a/net/Kconfig b/net/Kconfig
> > index 8a1f9d0287de..a5e31078fd14 100644
> > --- a/net/Kconfig
> > +++ b/net/Kconfig
> > @@ -228,8 +228,6 @@ source "net/x25/Kconfig"
> >  source "net/lapb/Kconfig"
> >  source "net/phonet/Kconfig"
> >  source "net/6lowpan/Kconfig"
> > -source "net/ieee802154/Kconfig"  
> 
> I would argue here that IEEE 802.15.4 is no "network option". However
> I was talking once about moving it, but people don't like to move
> things there around.
> In my opinion there is no formal place to "have all the low-range
> wireless such as Bluetooth, IEEE 802.11 (WiFi) and IEEE 802.15.4
> together". If you bring all subsystems together and put them into an
> own menuentry this would look different.
> 
> If nobody else complains about moving Kconfig entries here around it
> looks okay for me.
> 
> > -source "net/mac802154/Kconfig"
> >  source "net/sched/Kconfig"
> >  source "net/dcb/Kconfig"
> >  source "net/dns_resolver/Kconfig"
> > @@ -380,6 +378,7 @@ source "net/mac80211/Kconfig"
> >
> >  endif # WIRELESS
> >
> > +source "net/ieee802154/Kconfig"
> >  source "net/rfkill/Kconfig"
> >  source "net/9p/Kconfig"
> >  source "net/caif/Kconfig"
> > diff --git a/net/ieee802154/Kconfig b/net/ieee802154/Kconfig
> > index 31aed75fe62d..7e4b1d49d445 100644
> > --- a/net/ieee802154/Kconfig
> > +++ b/net/ieee802154/Kconfig
> > @@ -36,6 +36,7 @@ config IEEE802154_SOCKET
> >           for 802.15.4 dataframes. Also RAW socket interface to build MAC
> >           header from userspace.
> >
> > +source "net/mac802154/Kconfig"  
> 
> The next person in a year will probably argue "but wireless do source
> of wireless/mac80211 in net/Kconfig... so this is wrong".
> To avoid this issue maybe we should take out the menuentry here and do
> whatever wireless is doing without questioning it?

Without discussing the cleanliness of the wireless subsystem, I don't
feel bad proposing alternatives :)

I'm fine adapting to your preferred solution either way, so could you
clarify what should I do:
- Drop that commit entirely.
- Move things into their own submenu (we can discuss the naming,
  "Low range wireless Networks" might be a good start).
- Keep it like it is.

Thanks,
Miquèl